﻿Module values

    Public image_fname As String
    Public req_fname As String
    Public org_back_color As Color
    Public active_button_color As Color
    Public left_src_fname, right_src_fname As String
    Public cat_comment(1024) As String
    Public neuron_fname, neuron_fnumber As String

    Public ROI_width = 16
    Public ROI_height = 16
    Public ROI_X = (320 - ROI_width) / 2
    Public ROI_Y = (240 - ROI_height) / 2
    Public ROI_magni As Double

    Public vector(255), vector_num As Integer

    'CogniMem Neuron Registers
    Public CM_NCR = &H0
    Public CM_COMP = &H1
    Public CM_LCOMP = &H2
    Public CM_DIST = &H3 'read only
    Public CM_INDEXCOMP = &H3 'write only
    Public CM_CAT = &H4
    Public CM_AIF = &H5
    Public CM_MINIF = &H6
    Public CM_MAXIF = &H7
    Public CM_TESTCOMP = &H8
    Public CM_TESTCAT = &H9
    Public CM_NID = &HA
    Public CM_GCR = &HB
    Public CM_RESETCHAIN = &HC
    Public CM_NSR = &HD
    Public CM_NCOUNT = &HF   'read only
    Public CM_FORGET = &HF   'write only

    'CogniMem Reco-Logic Registers
    Public CM_LEFT = &H11
    Public CM_TOP = &H12
    Public CM_NWIDTH = &H13
    Public CM_NHEIGHT = &H14
    Public CM_BWIDTH = &H15
    Public CM_BHEIGHT = &H16
    Public CM_RSR = &H1C
    Public CM_FEATDIST = &H1D
    Public CM_FEATCAT = &H1E
    Public CM_ROIINIT = &H1F

    Public Sub inits()

        'ボタンの元の色を保存
        org_back_color = frmMain.btnComSwitch.BackColor

        'ボタンの元の色を保存
        active_button_color = Color.YellowGreen

        left_src_fname = "C:\Msdevstd\work\h11c_left.bmp"
        right_src_fname = "C:\Msdevstd\work\h11c_right.bmp"
        req_fname = "C:\Msdevstd\work\req_file.dat"

        neuron_fname = "_neuron.dat"

        For i = 0 To 1024
            cat_comment(i) = ""
        Next

    End Sub

End Module
